Bug 963244 - Detected two management objects with the same identifier
Detected two management objects with the same identifier
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity medium
: 3.0
: ---
Assigned To: Gordon Sim
Ernie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 09:19 EDT by Petr Matousek
Modified: 2015-01-21 07:56 EST (History)
3 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-4.el6, qpid-cpp-0.22-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-05-15 09:19:15 EDT
Description of problem:

When two subscription queues are created for an exchange (even with
different subject) using the amqp1.0 protocol, the management reports the following error:

[Management] error Detected two management objects with the same identifier: 0-5-1--38(org.apache.qpid.broker:outgoing:amq.direct,,amq.direct)

It seems that the link identifier is not getting passed through correctly.

Note: broker must have management enabled

Version-Release number of selected component (if applicable):
qpid-cpp-0.22-2

How reproducible:
100%

Steps to Reproduce:
1. drain --connection-options "{protocol:amqp1.0}" -f "amq.direct/a" &
2. drain --connection-options "{protocol:amqp1.0}" -f "amq.direct/b" &
3. wait a while and check broker log, the above mentioned error appears in the broker log file
  
Actual results:
Management error in the broker log

Expected results:
No management error, link identifiers are handled properly

Additional info:
Comment 1 Gordon Sim 2013-05-24 12:52:02 EDT
Fixed upstream by http://svn.apache.org/viewvc?view=revision&revision=1486115
Comment 2 Ernie 2013-07-12 12:59:23 EDT
Verified - 6.5 / 5.9 (32 and 64 bit)
      RHEL 5.9
        cyrus-sasl-2.1.22-7.el5_8.1
        cyrus-sasl-devel-2.1.22-7.el5_8.1
        cyrus-sasl-lib-2.1.22-7.el5_8.1
        cyrus-sasl-plain-2.1.22-7.el5_8.1
        python-qpid-0.22-4.el5
        python-qpid-qmf-0.22-5.el5
        python-saslwrapper-0.22-2.el5
        qpid-cpp-client-0.22-6.el5
        qpid-cpp-client-devel-0.22-6.el5
        qpid-cpp-server-0.22-6.el5
        qpid-java-client-0.22-2.el5
        qpid-java-common-0.22-2.el5
        qpid-java-example-0.22-2.el5
        qpid-proton-c-0.4-2.2.el5
        qpid-qmf-0.22-5.el5
        qpid-tools-0.22-2.el5
        saslwrapper-0.22-2.el5

      RHEL 6.4
        cyrus-sasl-2.1.23-13.el6_3.1
        cyrus-sasl-devel-2.1.23-13.el6_3.1
        cyrus-sasl-gssapi-2.1.23-13.el6_3.1
        cyrus-sasl-lib-2.1.23-13.el6_3.1
        cyrus-sasl-md5-2.1.23-13.el6_3.1
        cyrus-sasl-plain-2.1.23-13.el6_3.1
        python-qpid-0.22-4.el6.noarch
        python-qpid-qmf-0.22-5.el6
        python-saslwrapper-0.22-3.el6
        qpid-cpp-client-0.22-6.el6
        qpid-cpp-client-devel-0.22-6.el6
        qpid-cpp-server-0.22-6.el6
        qpid-proton-c-0.4-2.2.el6
        qpid-proton-c-devel-0.4-2.2.el6
        qpid-qmf-0.22-5.el6
        qpid-tools-0.22-3.el6.noarch
        saslwrapper-0.22-3.el6

Reproduced:
rhel 6.4 64
Jul 12 11:59:29 mrg28 qpidd[32149]: 2013-07-12 11:59:29 [Management] error Detected two management objects with the same identifier: 0-3-1--29(org.apache.qpid.broker:outgoing:amq.direct,,amq.direct)

Note You need to log in before you can comment on or make changes to this bug.